using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Example_5_4
{
  public partial class frmPlayground : Form
  {
    public frmPlayground()
    {
      InitializeComponent();
    }

    int wSave, hSave;

    private void frmPlayground_Load(object sender, EventArgs e)
    {
      // start form in upper left corner
      this.Left = 0;
      this.Top = 0;
      // save form width/height for initialization
      wSave = this.Width;
      hSave = this.Height;
    }

    private void btnImage_Click(object sender, EventArgs e)
    {
      // reset autosize picture box and form to initial size
      picAuto.Width = picNormal.Width;
      picAuto.Height = picNormal.Height;
      this.Width = wSave;
      this.Height = hSave;
      // display open dialog box
      if (dlgOpen.ShowDialog() == DialogResult.OK)
      {
        picNormal.Image = Image.FromFile(dlgOpen.FileName);
        picCenter.Image = Image.FromFile(dlgOpen.FileName);
        picAuto.Image = Image.FromFile(dlgOpen.FileName);
        picStretch.Image = Image.FromFile(dlgOpen.FileName);
        picZoom.Image = Image.FromFile(dlgOpen.FileName);
        txtSize.Text = picAuto.Width.ToString() + " x " + picAuto.Height.ToString();
      }

    }
  }
}