using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Example_1_1
{
  public partial class frmStopWatch : Form
  {
    public frmStopWatch()
    {
      InitializeComponent();
    }
    DateTime startTime;
    DateTime endTime;
    TimeSpan elapsedTime;
    
    private void btnStart_Click(object sender, EventArgs e)
    {
      // Establish and print starting time
      startTime = DateTime.Now;
      txtStart.Text = startTime.ToLongTimeString();
      txtEnd.Text = "";
      txtElapsed.Text = "";
    }

    private void btnEnd_Click(object sender, EventArgs e)
    {
      // Find the ending time, compute the elapsed time
      // Put both values in text boxes
      endTime = DateTime.Now;
      elapsedTime = endTime - startTime;
      txtEnd.Text = endTime.ToLongTimeString();
      txtElapsed.Text = elapsedTime.Seconds.ToString();
    }

    private void btnExit_Click(object sender, EventArgs e)
    {
      this.Close();
    }

  }
}