using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Example_4_1
{
  public partial class frmPassword : Form
  {
    public frmPassword()
    {
      InitializeComponent();
    }

   

    private void btnValid_Click(object sender, EventArgs e)
    {
      // This method checks the input password
      DialogResult response;
      if (txtPassword.Text == Convert.ToString(txtPassword.Tag))
      {
        // If correct, display message box
        MessageBox.Show("You've passed security!", "Access Granted", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
      }
      else
      {
        // If incorrect, give option to try again
        response = MessageBox.Show("Incorrect password", "Access Denied", MessageBoxButtons.RetryCancel, MessageBoxIcon.Error);
        if (response == DialogResult.Retry)
        {
          txtPassword.SelectionStart = 0;
          txtPassword.SelectionLength = txtPassword.Text.Length;
        }
        else
        {
          this.Close();
        }
      }
      txtPassword.Focus();
    }

    private void btnExit_Click(object sender, EventArgs e)
    {
      this.Close();
    }

    private void frmPassword_Load(object sender, EventArgs e)
    {
      // make sure focus starts in text box
      this.Show();
      txtPassword.Focus();
    }

  }
}