using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Example_5_3
{
  public partial class frmBurger : Form
  {
    public frmBurger()
    {
      InitializeComponent();
    }

    PictureBox[] burgerChoice = new PictureBox[3];
    int burgerLocation;
    Random myRandom = new Random();

    private void frmBurger_Load(object sender, EventArgs e)
    {
      // establish choice array, start new game
      burgerChoice[0] = picBurger0;
      burgerChoice[1] = picBurger1;
      burgerChoice[2] = picBurger2;
      btnNew.PerformClick();
    }

    private void btnNew_Click(object sender, EventArgs e)
    {
      // clear boxes and hide burger
      for (int i = 0; i < 3; i++)
      {
        burgerChoice[i].Image = null;
        burgerChoice[i].BackColor = Color.Red;
      }
      burgerLocation = myRandom.Next(3);
      btnNew.Enabled = false;
    }
    private void picBurger_Click(object sender, EventArgs e)
    {
      // figure out which box was clicked
      PictureBox clickedBox = (PictureBox)sender;
      int choice;
      for (choice = 0; choice < 3; choice++)
      {
        if (clickedBox == burgerChoice[choice])
        {
          break;
        }
      }
      burgerChoice[choice].BackColor = Color.White;
      if (choice == burgerLocation)
      {
        burgerChoice[choice].Image = picBurger.Image;
        btnNew.Enabled = true;
      }
    }

  }
}